CVE-2020-15395

NameCVE-2020-15395
DescriptionIn MediaInfoLib in MediaArea MediaInfo 20.03, there is a stack-based buffer over-read in Streams_Fill_PerStream in Multiple/File_MpegPs.cpp (aka an off-by-one during MpegPs parsing).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs967073

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libmediainfo (PTS)stretch0.7.91-1vulnerable
buster18.12-2vulnerable
bullseye, sid20.09+dfsg-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libmediainfosource(unstable)(unfixed)low967073

Notes

[buster] - libmediainfo <no-dsa> (Minor issue)
[stretch] - libmediainfo <no-dsa> (Minor issue)
[jessie] - libmediainfo <no-dsa> (Minor issue)
https://sourceforge.net/p/mediainfo/bugs/1127/

Search for package or bug name: Reporting problems